#
# $Id: Makefile,v 1.3 2000/06/29 20:20:44 yamauchi Exp $
#	Makefile for R^2mark 
#	Copyright (C) 2000 YAMAUCHI Hitoshi »³Æâ ÀÆ
#
CP=cp
MAKE=make
CPPMPI2SRC=../../C++/mpi/mpi2
CPPDIR=./C++
JAVAMPI2SRC=
JAVADIR=./Java

all:
	@echo "Next command is available"
	@echo "	${MAKE} copyexec"
	@echo "	        copy R^2mark executables to the adequate place."
	@echo "	        (This needscopy R^2mark executables to the adequate place."
	@echo ""

#
# C++ version
#
${CPPDIR}/mpi2	:
	${CP} ${CPPMPI2SRC} ${CPPDIR}/

#
# Java version
#
# ${JAVADIR}/Mpi2MPI :
#	${CP} ${JAVAMPI2SRC} ${JAVADIR}/


# ${JAVADIR}/Mpi2MPI
copyexec: ${CPPDIR}/mpi2 


#
# clean
#
clean :
	${RM} ${CPPDIR}/mpi2


distclean :
	for dir in ${CPPDIR}/conf ${CPPDIR}/office ${CPPDIR}/soda  ${JAVADIR}/conf ${JAVADIR}/office ${JAVADIR}/soda ; 			\
	do						 \
		(cd $${dir}; ${MAKE} clean; ${MAKE} cleanlogs;)	\
	done

